import machine
import utime

# Define the sensor pin
sensorPin = machine.ADC(machine.Pin(26))  # RP2040: Pin 26, ESP32-C3: A0

# ESP32 ADC default resolution is 12-bit (0-4095), RP2040 is 16-bit (0-65535)
# If using ESP32, scale to match the original Arduino 10-bit (0-1023) range
MAX_ADC_VALUE = 65535 if "RP2" in machine.unique_id() else 4095

while True:
    sensorValue = sensorPin.read_u16()  # Read the sensor value (16-bit for RP2040, 12-bit for ESP32)
    mappedValue = 1024 - int((sensorValue / MAX_ADC_VALUE) * 1024)  # Map the value (inverted)
    
    print(mappedValue)  # Print value to Serial Monitor
    utime.sleep(2)  # Short delay to make values readable
